Package org.eclipse.m2m.atl.emftvm.util

## Class Types

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.Types

    public final class Types
    extends java.lang.Object

Contains EMFTVM type definitions.

### Field Summary

Fields
`static java.lang.String[]` `BAG_TYPE` The Bag type.
`static java.lang.String[]` `BOOLEAN_TYPE` The Boolean type.
`static java.lang.String[]` `CLASS_TYPE` The Ecore EClass type.
`static java.lang.String[]` `CLASSIFIER_TYPE` The Ecore EClassifier type.
`static java.lang.String[]` `COLLECTION_TYPE` The Collection type.
`static java.lang.String` `ECORE_MODEL` The Ecore metamodel namespace.
`static java.lang.String` `EMFTVM_MODEL` The EMFTVM metamodel namespace.
`static java.lang.String[]` `EXEC_ENV_TYPE` The 'EMFTVM!ExecEnv' type.
`static java.lang.String[]` `INTEGER_TYPE` The Integer type.
`static java.lang.String[]` `JAVA_CLASS_TYPE` The Java Class type.
`static java.lang.String[]` `JAVA_COLLECTION_TYPE` The Java Collection type.
`static java.lang.String[]` `JAVA_DATE_TYPE` The Java Date type.
`static java.lang.String[]` `JAVA_LIST_TYPE` The Java List type.
`static java.lang.String[]` `MAP_TYPE` The Map type.
`static java.lang.String[]` `OCL_ANY_TYPE` The OclAny type.
`static java.lang.String` `OCL_MODEL` The OCL metamodel namespace.
`static java.lang.String[]` `ORDERED_SET_TYPE` The OrderedSet type.
`static java.lang.String[]` `REAL_TYPE` The Real type.
`static java.lang.String[]` `SEQUENCE_TYPE` The Sequence type.
`static java.lang.String[]` `SET_TYPE` The Set type.
`static java.lang.String[]` `STRING_TYPE` The String type.
`static java.lang.String[]` `TRACE_LINK_SET_TYPE` The 'TRACE!TraceLinkSet' type.
`static java.lang.String` `TRACE_MODEL` The TRACE metamodel namespace.
`static java.lang.String[]` `TUPLE_TYPE` The Tuple type.

### Constructor Summary

Constructors
`Types()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OCL_MODEL

    public static final java.lang.String OCL_MODEL

The OCL metamodel namespace.

See Also:
  Constant Field Values

#### ECORE_MODEL

    public static final java.lang.String ECORE_MODEL

The Ecore metamodel namespace.

#### EMFTVM_MODEL

    public static final java.lang.String EMFTVM_MODEL

The EMFTVM metamodel namespace.

#### TRACE_MODEL

    public static final java.lang.String TRACE_MODEL

The TRACE metamodel namespace.

#### OCL_ANY_TYPE

    public static final java.lang.String[] OCL_ANY_TYPE

The OclAny type.

#### BOOLEAN_TYPE

    public static final java.lang.String[] BOOLEAN_TYPE

The Boolean type.

#### REAL_TYPE

    public static final java.lang.String[] REAL_TYPE

The Real type.

#### INTEGER_TYPE

    public static final java.lang.String[] INTEGER_TYPE

The Integer type.

#### STRING_TYPE

    public static final java.lang.String[] STRING_TYPE

The String type.

#### JAVA_CLASS_TYPE

    public static final java.lang.String[] JAVA_CLASS_TYPE

The Java Class type.

#### JAVA_COLLECTION_TYPE

    public static final java.lang.String[] JAVA_COLLECTION_TYPE

The Java Collection type.

#### JAVA_LIST_TYPE

    public static final java.lang.String[] JAVA_LIST_TYPE

The Java List type.

#### JAVA_DATE_TYPE

    public static final java.lang.String[] JAVA_DATE_TYPE

The Java Date type.

#### COLLECTION_TYPE

    public static final java.lang.String[] COLLECTION_TYPE

The Collection type.

#### BAG_TYPE

    public static final java.lang.String[] BAG_TYPE

The Bag type.

#### SEQUENCE_TYPE

    public static final java.lang.String[] SEQUENCE_TYPE

The Sequence type.

#### SET_TYPE

    public static final java.lang.String[] SET_TYPE

The Set type.

#### ORDERED_SET_TYPE

    public static final java.lang.String[] ORDERED_SET_TYPE

The OrderedSet type.

#### MAP_TYPE

    public static final java.lang.String[] MAP_TYPE

The Map type.

#### TUPLE_TYPE

    public static final java.lang.String[] TUPLE_TYPE

The Tuple type.

#### CLASSIFIER_TYPE

    public static final java.lang.String[] CLASSIFIER_TYPE

The Ecore EClassifier type.

#### CLASS_TYPE

    public static final java.lang.String[] CLASS_TYPE

The Ecore EClass type.

#### EXEC_ENV_TYPE

    public static final java.lang.String[] EXEC_ENV_TYPE

The 'EMFTVM!ExecEnv' type.

#### TRACE_LINK_SET_TYPE

    public static final java.lang.String[] TRACE_LINK_SET_TYPE

The 'TRACE!TraceLinkSet' type.

### Constructor Detail

#### Types

    public Types()